# Emacs Configuration

This is an attempt to learn about Emacs and its ecosystem by creating a custom configuration from scratch.

## Installation

 1. clone this repository to `~/.emacs.d`
 1. call `~/.emacs.d/install-packages.el`
 1. start Emacs, press `M-x` and execute the `all-the-icons-install-fonts` command

## TODO

  * (semi-)automatically install missing packages (e.g. with `use-package`?)
  * improve completion/navigation when chosing files
  * find a buffer switcher
  * hilight trailing whitespace
  * configure custom (?) menus (with leader key) for things:
     * toggle features (fci, whitespace-mode, ...)
	 * make `C-x` (and others) accessible via `SPC x`
	 * make buffer switching more accessible, e.g. `<leader> b b`
  * ~~disable~~ welcome buffer (~~or~~ put something funny there)
  * themed right-click menus
  * update diff-hl after committing things with magit
  * enable which-key completions and ido in dired-mode
  * hilight TODO/NOTE/... keywords in code


