#!/usr/bin/emacs --script

;; package-refresh-contents fails to refresh the 'gnu' archive and also
;; package-install can't download some packages/dependencies when TLS1.3 is
;; enabled
;; TODO: verify this and/or find a better solution
(setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

(require 'package)
(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/"))
(package-initialize)

(package-refresh-contents)

(package-install 'treemacs-evil)
(package-install 'treemacs)
(package-install 'fill-column-indicator)
(package-install 'rainbow-delimiters)
(package-install 'diff-hl)
(package-install 'evil-magit)
(package-install 'magit)
(package-install 'evil)
(package-install 'doom-themes)
(package-install 'doom-modeline)
(package-install 'which-key)
(package-install 'ido-vertical-mode)
(package-install 'evil-surround)

;; prompts for font installation directory
;;(all-the-icons-install-fonts t)

